// The Clapper – Processing Sketch
// Every time we receive an event on the serial
// port we let the line rise faster up to a certain
// value and then we start again.

import processing.serial.*;
Serial myPort;
int inputByte = 0;
float y = 100;
int increment = 1;

void setup() 
{
  size(200, 400);  // Size should be the first statement
  stroke(255);     // Set stroke color to white
  frameRate(60);
  // need to pick the right com port
  myPort = new Serial(this, "COM6", 9600);
}

void draw() 
{ 
  background(0);   // Set the background to black
  line(0, y, width, y);  
  y = y - increment; 
  if (y < 0) { 
    y = height; 
  }
} 

void serialEvent(Serial p) { 
  // remove the byte from the serial port
  inputByte = p.read(); 
  // speed up the line
  increment = (increment + 2) %  8;
  println(increment);
}
