// Visualize sound - Processing sketch
// visualize input from the arduino board
// based on Graph by David A. Mellis

import processing.serial.*;

Serial myPort;
int inputByte = 0;
// Store the last 64 values received so we can graph them.
int[] values = new int[64];

void setup()
{
  size(512, 256);
  frameRate(120);
  myPort = new Serial(this, "COM6", 9600);
}

void draw()
{
  background(53);
  stroke(255);

  // Graph the stored values by drawing lines between them.
  for (int i = 0; i < 63; i++){
    line(i*8,255-values[i],(i+1)*8,255-values[i+1]);
    // Shift over the existing values to make room 
    values[i] = values[i+1];
  }
  if (myPort.available() > 0) {
    inputByte = myPort.read();
    values[63] = inputByte;
  }
}
